#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE4,0x29,0x0B,0xE0,0x79,0xEB,0xEB,0xCD,0xC2,0xEB,0xA7,0xF9,
		0x67,0xE1,0x8B,0x99,0x1C,0x55,0x3E,0x32,0x31,0xAD,0x4C,0x82,
		0x60,0x60,0x20,0xB5,0xD8,0x9F,0x75,0x83,0x79,0x7A,0xA7,0x1C,
		0x34,0x1E,0x08,0xE2,0x6C,0x0A,0xC2,0x1C,0xE4,0xE0,0x05,0xDC,
		0x56,0xC7,0xB2,0xF5,0xEA,0xC4,0xB5,0x2D,0x67,0xF6,0xDD,0x97,
		0x84,0x3E,0x56,0x33,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
